Package org.apache.sysds.runtime.transform.encode

# Interface EncoderFactory

public interface EncoderFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.apache.commons.logging.Log`
`LOG`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static MultiColumnEncoder`
`createEncoder(String spec, int clen)`
`static MultiColumnEncoder`
`createEncoder(String spec, String[] colnames, int clen, FrameBlock meta)`
`static MultiColumnEncoder`
`createEncoder(String spec, String[] colnames, int clen, FrameBlock meta, int minCol, int maxCol)`
`static MultiColumnEncoder`
`createEncoder(String spec, String[] colnames, int clen, FrameBlock meta, MatrixBlock embeddings)`
`static MultiColumnEncoder`
`createEncoder(String spec, String[] colnames, int clen, FrameBlock meta, MatrixBlock embeddings, int minCol, int maxCol)`
`static MultiColumnEncoder`
`createEncoder(String spec, String[] colnames, Types.ValueType[] schema, int clen, FrameBlock meta)`
`static MultiColumnEncoder`
`createEncoder(String spec, String[] colnames, Types.ValueType[] schema, int clen, FrameBlock meta, MatrixBlock embeddings)`
`static MultiColumnEncoder`
`createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta)`
`static MultiColumnEncoder`
`createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int minCol, int maxCol)`
`static MultiColumnEncoder`
`createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, MatrixBlock embeddings)`
`static ColumnEncoder`
`createInstance(int type)`
`static int`
`getEncoderType(ColumnEncoder columnEncoder)`

## Field Details

### LOG

static final org.apache.commons.logging.Log LOG

## Method Details

### createEncoder

static MultiColumnEncoder createEncoder(String spec, int clen)

### createEncoder

static MultiColumnEncoder createEncoder(String spec, String[] colnames, int clen, FrameBlock meta)

### createEncoder

static MultiColumnEncoder createEncoder(String spec, String[] colnames, int clen, FrameBlock meta, int minCol, int maxCol)

### createEncoder

static MultiColumnEncoder createEncoder(String spec, String[] colnames, Types.ValueType[] schema, int clen, FrameBlock meta)

### createEncoder

static MultiColumnEncoder createEncoder(String spec, String[] colnames, Types.ValueType[] schema, int clen, FrameBlock meta, MatrixBlock embeddings)

### createEncoder

static MultiColumnEncoder createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta)

### createEncoder

static MultiColumnEncoder createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int minCol, int maxCol)

### createEncoder

static MultiColumnEncoder createEncoder(String spec, String[] colnames, int clen, FrameBlock meta, MatrixBlock embeddings)

### createEncoder

static MultiColumnEncoder createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, MatrixBlock embeddings)

### createEncoder

static MultiColumnEncoder createEncoder(String spec, String[] colnames, int clen, FrameBlock meta, MatrixBlock embeddings, int minCol, int maxCol)

### getEncoderType

static int getEncoderType(ColumnEncoder columnEncoder)

### createInstance

static ColumnEncoder createInstance(int type)